Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management
Interface WebLogicMBean

All Known Subinterfaces:
  ApplicationMBean, BasicRealmMBean, CachingRealmMBean, weblogic.management.configuration.ClassDeploymentMBean, ClusterMBean, ClusterRuntimeMBean, ComponentMBean, ConfigurationMBean, DeploymentMBean, DomainLogFilterMBean, DomainMBean, DomainRuntimeMBean, EJBComponentMBean, ExecuteQueueMBean, JDBCConnectionPoolMBean, JDBCDataSourceMBean, JDBCMultiPoolMBean, JDBCTxDataSourceMBean, JMSConnectionConsumerMBean, JMSConnectionFactoryMBean, JMSDestinationKeyMBean, JMSDestinationMBean, JMSFileStoreMBean, JMSJDBCStoreMBean, JMSQueueMBean, JMSServerMBean, JMSSessionPoolMBean, JMSStoreMBean, JMSTemplateMBean, JMSTopicMBean, JTAMBean, weblogic.management.runtime.JTAStatisticsRuntimeMBean, weblogic.management.runtime.JTATransactionStatisticsRuntimeMBean, KernelMBean, LogBroadcasterRuntimeMBean, LogMBean, PasswordPolicyMBean, RDBMSRealmMBean, RealmMBean, RMCFactoryMBean, weblogic.management.runtime.RuntimeMBean, SecurityMBean, ServerMBean, ServerRuntimeMBean, ServerSecurityRuntimeMBean, ServletRuntimeMBean, ServletSessionRuntimeMBean, ShutdownClassMBean, SSLMBean, StartupClassMBean, TargetMBean, TransactionNameRuntimeMBean, TransactionResourceRuntimeMBean, VirtualHostMBean, WebAppComponentMBean, WebAppComponentRuntimeMBean, WebDeploymentMBean, WebServerMBean, WLECConnectionPoolMBean, WLECConnectionPoolRuntimeMBean, WLECConnectionRuntimeMBean, WLECConnectionServiceRuntimeMBean, XMLRegistryEntryMBean, XMLRegistryMBean

public interface WebLogicMBean
extends javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster

The super interface for all MBeans, including Persistent, Configuration and Runtime MBeans. Specific MBeans implement sub-interfaces of these MBeans, such as ServerMBean, ClusterMBean, ServerRuntimeMBean, etc. There are three kinds of MBeans: Admin MBeans: these are the master configuration MBeans. They represent the persistent configuration of a Domain. Configuration MBeans: these are the local configuration MBeans. They are bootstrapped from the Persistent MBeans, but may be different in slight ways, including via built-in defaults and non-persistent command-line properties. They represent the runtime configuration of a Domain. Runtime MBeans: these are represent the runtime state of an MBean, and provide an interface to runtime operations, such number of user connected, number of transaction, cache flush methods, etc.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`javax.management.MBeanInfo` | `getMBeanInfo()` Returns the MBean info for this MBean.
`java.lang.String` | `getName()` Returns the name of the MBean.
`WebLogicObjectName` | `getObjectName()` Returns the ObjectName under which this MBean is registered in the MBean server.
`WebLogicMBean` | `getParent()` Return the immediate parent for this MBean
`java.lang.String` | `getType()` Returns the type of the MBean.
`boolean` | `isCachingDisabled()` Private property that disables caching in proxies.
`boolean` | `isRegistered()` Returns false if the the MBean represented by this object has been unregistered.
`void` | `setName(java.lang.String name)` Set the name of the MBean.
`void` | `setParent(WebLogicMBean parent)`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the MBean.

### setName

    public void setName(java.lang.String name)
                 throws javax.management.InvalidAttributeValueException,
                        ManagementException

  Set the name of the MBean.

  Legal Value: value != null
  Legal NULL: false

### getType

    public java.lang.String getType()

  Returns the type of the MBean.

### getObjectName

    public WebLogicObjectName getObjectName()

  Returns the ObjectName under which this MBean is registered in the MBean server.

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Returns the MBean info for this MBean.
  Specified by:
    getMBeanInfo in interface javax.management.DynamicMBean

### isCachingDisabled

    public boolean isCachingDisabled()

  Private property that disables caching in proxies.

### getParent

    public WebLogicMBean getParent()

  Return the immediate parent for this MBean

  A non-configurable MBean attribute.

### setParent

    public void setParent(WebLogicMBean parent)
                   throws ConfigurationException

### isRegistered

    public boolean isRegistered()

  Returns false if the the MBean represented by this object has been unregistered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD